﻿using System;
using Newtonsoft.Json;
using S22.Xmpp;

namespace RhinoReminds
{

	public class Reminder
	{
		public int Id { get; }
		public string Jid { get; }
		[JsonIgnore]
		public Jid JidObj => new Jid(Jid);
		public DateTime Time { get; }
		public string Message { get; }

		public Reminder(int inId, string inJid, DateTime inTime, string inMessage)
		{
			Id = inId;
			Jid = inJid;
			Time = inTime;
			Message = inMessage;
		}

		public override string ToString()
		{
			return $"[Reminder Id={Id}, Jid={Jid}, Time={Time}, Message={Message}";
		}
	}
}
